| BlueNRG-1 SDK drivers APIs

- Main Page
- Modules
- Classes
- Files

Modules | Classes | Macros | Enumerations
LSM6DS3_Exported_Defines
SDK EVAL BlueNRG1 » LSM6DS3 » LSM6DS3 SENSOR LIB

## Modules

| LSM6DS3_XG_FIFO_Output_Data_Rate_Selection_FIFO_CTRL5
| LSM6DS3_XG_FIFO_Mode_Selection_FIFO_CTRL5
| LSM6DS3_XG_Gyroscope_Output_Data_Rate_Selection_CTRL_REG1_G
| LSM6DS3_XG_Gyroscope_Full_Scale_Selection_CTRL2_G
| LSM6DS3_XG_Gyroscope_Z_Axis_Output_Enable_Selection_CTRL10_C
| LSM6DS3_XG_Gyroscope_Y_Axis_Output_Enable_Selection_CTRL10_C
| LSM6DS3_XG_Gyroscope_X_Axis_Output_Enable_Selection_CTRL10_C
| LSM6DS3_XG_Accelerometer_Output_Data_Rate_Selection_CTRL1_XL
| LSM6DS3_XG_Accelerometer_Full_Scale_Selection_CTRL1_XL
| LSM6DS3_XG_Accelerometer_Anti_Aliasing_Filter_Bandwidth_Selection_CTRL1_XL
| LSM6DS3_XG_Accelerometer_Z_Axis_Output_Enable_Selection_CTRL9_XL
| LSM6DS3_XG_Accelerometer_Y_Axis_Output_Enable_Selection_CTRL9_XL
| LSM6DS3_XG_Accelerometer_X_Axis_Output_Enable_Selection_CTRL9_XL
| LSM6DS3_XG_Accelerometer_FF_DUR5_Selection_WAKE_UP_DUR
| LSM6DS3_XG_Accelerometer_WAKE_DUR_Selection_WAKE_UP_DUR
| LSM6DS3_XG_Accelerometer_TIMER_HR_Selection_WAKE_UP_DUR
| LSM6DS3_XG_Accelerometer_SLEEP_DUR_Selection_WAKE_UP_DUR
| LSM6DS3_XG_Accelerometer_FF_DUR_Selection_FREE_FALL
| LSM6DS3_XG_Accelerometer_FF_THS_Selection_FREE_FALL
| LSM6DS3_XG_Accelerometer_INT1_INACT_STATE_Selection_MD1_CFG
| LSM6DS3_XG_Accelerometer_INT1_SINGLE_TAP_Selection_MD1_CFG
| LSM6DS3_XG_Accelerometer_INT1_WU_Selection_MD1_CFG
| LSM6DS3_XG_Accelerometer_INT1_FF_Selection_MD1_CFG
| LSM6DS3_XG_Accelerometer_INT1_DOUBLE_TAP_Selection_MD1_CFG
| LSM6DS3_XG_Accelerometer_INT1_6D_Selection_MD1_CFG
| LSM6DS3_XG_Accelerometer_INT1_TILT_Selection_MD1_CFG
| LSM6DS3_XG_Accelerometer_INT1_TIMER_Selection_MD1_CFG
| LSM6DS3_XG_Accelerometer_FF_IA_Enable_WAKE_UP_SRC
| LSM6DS3_XG_Accelerometer_SLEEP_STATE_IA_Enable_WAKE_UP_SRC
| LSM6DS3_XG_Accelerometer_WU_IA_Enable_WAKE_UP_SRC
| LSM6DS3_XG_Accelerometer_X_WU_Enable_WAKE_UP_SRC
| LSM6DS3_XG_Accelerometer_Y_WU_Enable_WAKE_UP_SRC
| LSM6DS3_XG_Accelerometer_Z_WU_Enable_WAKE_UP_SRC

## Classes

struct | IMU_6AXES_InitTypeDef
| IMU_6AXES init structure definition. More...
struct | IMU_6AXES_DrvTypeDef
| IMU_6AXES driver structure definition. More...

## Macros

#define | NULL (void *) 0
#define | LSM6DS3_XG_FUNC_CFG_ACCESS 0x01
| FIFO control register. More...
#define | LSM6DS3_XG_SENSOR_SYNC_TIME_FRAME 0x04
| FIFO control register. More...
#define | LSM6DS3_XG_SENSOR_SYNC_ENABLE 0x05
| FIFO control register. More...
#define | LSM6DS3_XG_FIFO_CTRL1 0x06
| FIFO control register. More...
#define | LSM6DS3_XG_FIFO_CTRL2 0x07
| FIFO control register. More...
#define | LSM6DS3_XG_FIFO_CTRL3 0x08
| FIFO control register. More...
#define | LSM6DS3_XG_FIFO_CTRL4 0x09
| FIFO control register. More...
#define | LSM6DS3_XG_FIFO_CTRL5 0x0A
| FIFO control register. More...
#define | LSM6DS3_XG_ORIENT_CFG_G 0x0B
| Angular rate sensor sign and orientation register. More...
#define | LSM6DS3_XG_INT1_CTRL 0x0D
| INT1 pad control registrer. More...
#define | LSM6DS3_XG_INT2_CTRL 0x0E
| INT2 pad control registrer. More...
#define | LSM6DS3_XG_WHO_AM_I_ADDR 0x0F
| Device identifier register. More...
#define | LSM6DS3_XG_CTRL3_C 0x12
| Control Register 3. More...
#define | LSM6DS3_XG_CTRL4_C 0x13
| Control Register 4. More...
#define | LSM6DS3_XG_CTRL5_C 0x14
| Control Register 4. More...
#define | LSM6DS3_XG_CTRL10_C 0x19
| Control Register 10. More...
#define | LSM6DS3_XG_MASTER_CONFIG 0x1A
| Sensor hub Master config Register. More...
#define | LSM6DS3_XG_WAKE_UP_SRC 0x1B
| Wake up interrupt source register. More...
#define | LSM6DS3_XG_TAP_SRC 0x1C
| Tap source register. More...
#define | LSM6DS3_XG_D6D_SRC 0x1D
| Portrait, landscape face-up and face-down source register. More...
#define | LSM6DS3_XG_STATUS_REG 0x1E
| Status register. More...
#define | LSM6DS3_XG_FIFO_STATUS1 0x3A
| FIFO status control register. More...
#define | LSM6DS3_XG_FIFO_STATUS2 0x3B
| FIFO status control register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0. More...
#define | LSM6DS3_XG_FIFO_STATUS3 0x3C
| FIFO status control register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0. More...
#define | LSM6DS3_XG_FIFO_STATUS4 0x3D
| FIFO status control register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0. More...
#define | LSM6DS3_XG_FIFO_STATUS4 0x3D
| FIFO status control register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0. More...
#define | LSM6DS3_XG_FIFO_DATA_OUT_L 0x3E
| FIFO data output register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0. More...
#define | LSM6DS3_XG_FIFO_DATA_OUT_H 0x3F
| FIFO data output register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0. More...
#define | LSM6DS3_XG_TIMESTAMP0_REG 0x40
| Time stamp first byte data output register (r). The value is expressed as 24 bit and the bit resolution is defined by setting value in WAKE_UP_DUR (5Ch). More...
#define | LSM6DS3_XG_TIMESTAMP1_REG 0x41
| Time stamp second byte data output register (r). The value is expressed as 24 bit and the bit resolution is defined by setting value in WAKE_UP_DUR (5Ch). More...
#define | LSM6DS3_XG_TIMESTAMP2_REG 0x42
| Time stamp third byte data output register (r). The value is expressed as 24 bit and the bit resolution is defined by setting value in WAKE_UP_DUR (5Ch). More...
#define | LSM6DS3_XG_STEP_COUNTER_L 0x4B
| Step counter output register (r). More...
#define | LSM6DS3_XG_STEP_COUNTER_H 0x4C
| Step counter output register (r). More...
#define | LSM6DS3_XG_FUNC_SRC 0x53
| Significant motion, tilt, step detector, soft iron and sensor hub interrupt source register. More...
#define | LSM6DS3_XG_TAP_CFG 0x58
| Time stamp, pedometer, tilt, filtering, and tap recognition functions configuration register. More...
#define | LSM6DS3_XG_TAP_THS_6D 0x59
| Portrait/landscape position and tap function threshold register. More...
#define | LSM6DS3_XG_INT_DUR2 0x5A
| Tap recognition function setting register (r/w) More...
#define | LSM6DS3_XG_WAKE_UP_THS 0x5B
| Tap recognition function setting register. More...
#define | LSM6DS3_XG_WAKE_UP_DUR 0x5C
| Free-fall, wake-up, time stamp and sleep mode functions duration setting register (r/w). More...
#define | LSM6DS3_XG_WAKE_FREE_FALL 0x5D
| Free-fall function duration setting register. More...
#define | LSM6DS3_XG_MD1_CFG 0x5E
| Functions routing on INT1 register. More...
#define | LSM6DS3_XG_MD2_CFG 0x5F
| Functions routing on INT2 register. More...
#define | LSM6DS3_XG_SENSORHUB1_REG 0x2E
| SENSORHUB REGISTER 1 : SLV0 first external sensor, first axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_SENSORHUB2_REG 0x2F
| SENSORHUB REGISTER 2 : SLV0 first external sensor, first axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_SENSORHUB3_REG 0x30
| SENSORHUB REGISTER 3 : SLV0 first external sensor, second axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_SENSORHUB4_REG 0x31
| SENSORHUB REGISTER 4 : SLV0 first external sensor, second axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_SENSORHUB5_REG 0x32
| SENSORHUB REGISTER 5 : SLV0 first external sensor, third axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_SENSORHUB6_REG 0x33
| SENSORHUB REGISTER 6 : SLV0 first external sensor, third axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_SENSORHUB7_REG 0x34
| SENSORHUB REGISTER 7 : SLV1 second external sensor, first axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_SENSORHUB8_REG 0x35
| SENSORHUB REGISTER 8 : SLV1 second external sensor, first axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_SENSORHUB9_REG 0x36
| SENSORHUB REGISTER 9 : SLV1 second external sensor,, second axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_SENSORHUB10_REG 0x37
| SLV1 second external sensor, second axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_SENSORHUB11_REG 0x38
| SLV1 second external sensor, third axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_SENSORHUB12_REG 0x39
| SLV1 second external sensor, third axis output register (r). The value is expressed as 16bit word in two’s complement. More...
#define | LSM6DS3_XG_CTRL2_G 0x11
| Angular rate sensor Control Register 2. More...
#define | LSM6DS3_XG_CTRL6_G 0x15
| Angular rate sensor Control Register 6. More...
#define | LSM6DS3_XG_CTRL7_G 0x16
| Angular rate sensor Control Register 7. More...
#define | LSM6DS3_XG_OUT_X_L_G 0x22
| Gyroscope data (LSB) More...
#define | LSM6DS3_XG_OUT_X_H_G 0x23
| Gyroscope data (MSB) More...
#define | LSM6DS3_XG_OUT_Y_L_G 0x24
| Gyroscope data (LSB) More...
#define | LSM6DS3_XG_OUT_Y_H_G 0x25
| Gyroscope data (MSB) More...
#define | LSM6DS3_XG_OUT_Z_L_G 0x26
| Gyroscope data (LSB) More...
#define | LSM6DS3_XG_OUT_Z_H_G 0x27
| Gyroscope data (MSB) More...
#define | LSM6DS3_XG_CTRL1_XL 0x10
| Linear acceleration sensor Control Register 1. More...
#define | LSM6DS3_XG_CTRL8_XL 0x17
| XL sensor Control Register 8. More...
#define | LSM6DS3_XG_CTRL9_XL 0x18
| Linear acceleration sensor Control Register 9. More...
#define | LSM6DS3_XG_OUT_X_L_XL 0x28
| Accelerometer data (LSB) More...
#define | LSM6DS3_XG_OUT_X_H_XL 0x29
| Accelerometer data (MSB) More...
#define | LSM6DS3_XG_OUT_Y_L_XL 0x2A
| Accelerometer data (LSB) More...
#define | LSM6DS3_XG_OUT_Y_H_XL 0x2B
| Accelerometer data (MSB) More...
#define | LSM6DS3_XG_OUT_Z_L_XL 0x2C
| Accelerometer data (LSB) More...
#define | LSM6DS3_XG_OUT_Z_H_XL 0x2D
| Accelerometer data (MSB) More...
#define | LSM6DS3_ADDRESS_LOW 0xD4
| Device Address. More...
#define | LSM6DS3_ADDRESS_HIGH 0xD6
#define | LSM6DS3_XG_MEMS_ADDRESS LSM6DS3_ADDRESS_LOW
#define | I_AM_LSM6DS3_XG ((uint8_t)0x69)
| Device Identifier. Default value of the WHO_AM_I register. More...
#define | LSM6DS3_XG_IF_INC ((uint8_t)0x04)
| Register address automatically incremented during a multiple byte access with a serial interface (I2C or SPI). Default value of the LSM6DS3_XG_CTRL3_C register. More...
#define | LSM6DS3_XG_IF_INC_MASK ((uint8_t)0x04)

## Enumerations

enum | IMU_6AXES_StatusTypeDef { IMU_6AXES_OK = 0, IMU_6AXES_ERROR = 1, IMU_6AXES_TIMEOUT = 2, IMU_6AXES_NOT_IMPLEMENTED = 3 }
| IMU_6AXES status enumerator definition. More...

## Detailed Description

## Macro Definition Documentation

#define I_AM_LSM6DS3_XG ((uint8_t)0x69)

Device Identifier. Default value of the WHO_AM_I register.

Definition at line 1019 of file lsm6ds3.h.

#define LSM6DS3_ADDRESS_HIGH 0xD6

Definition at line 1012 of file lsm6ds3.h.

#define LSM6DS3_ADDRESS_LOW 0xD4

Device Address.

Definition at line 1011 of file lsm6ds3.h.

#define LSM6DS3_XG_CTRL10_C 0x19

Control Register 10.

1 Read/write
2 Default value: 0x38
3 [7:6] These bits must be set to ‘0’ for the correct operation of the device
4 [5] Zen_G: Gyroscope’s Z-axis output enable. Default value: 1
5 [4] Yen_G: Gyroscope’s Y-axis output enable. Default value: 1
6 [3] Xen_G: Gyroscope’s X-axis output enable. Default value: 1
7 [2] FUNC_EN: Enable embedded functionalities (pedometer, tilt and significant motion) . Default value: 0
8 [1] PEDO_RST_STEP: Reset pedometer step counter . Default value: 0
9 [0] SIGN_MOTION_EN: Enable significant motion function. For a correct functionality of significant motion function, TILT_EN bit in FUNC_SRC (53h) register must be set to 1 . Default value: 1

Definition at line 347 of file lsm6ds3.h.

#define LSM6DS3_XG_CTRL1_XL 0x10

Linear acceleration sensor Control Register 1.

1 Read/write
2 Default value: 0x00
3 [7:4] ODR_XL3-0: Accelerometer Output data rate and power mode selection
4 [3:2] FS_XL1-0: Accelerometer full-scale selection
5 [1:0] BW_XL1-0: Anti-aliasing filter bandwidth selection

Definition at line 919 of file lsm6ds3.h.

#define LSM6DS3_XG_CTRL2_G 0x11

Angular rate sensor Control Register 2.

1 Read/write
2 Default value: 0x00
3 [7:4] ODR_G[3:0]: Gyroscope output data rate selection
4 [3:2] FS_G[1-0]: Gyroscope full-scale selection
5 [1] FS_125: Gyroscope full-scale at 125 dps
6 [0] This bit must be set to ‘0’ for the correct operation of the device

Definition at line 821 of file lsm6ds3.h.

#define LSM6DS3_XG_CTRL3_C 0x12

Control Register 3.

1 Read/write
2 Default value: 0x00
3 [7] BOOT: Reboot memory content. Default value: 0
4 [6] BDU: Block Data Update. Default value: 0
5 [5] H_LACTIVE: Interrupt activation level. Default value: 0
6 [4] PP_OD: Push-pull/Open Drain selection on INT pad. Default value: 0
7 [3] SIM: SPI Serial Interface Mode selection. Default value: 0
8 [2] IF_INC: Register address automatically incremented during a multiple byte access with a serial interface (I2C or SPI). Default value: 0
9 [1] BLE: Big/Little Endian Data Selection. Default value: 0
10 [0] SW_RESET: Software Reset. Default value: 0

Definition at line 300 of file lsm6ds3.h.

#define LSM6DS3_XG_CTRL4_C 0x13

Control Register 4.

1 Read/write
2 Default value: 0x00
3 [7] BW_SCAL_ODR: Accelerometer bandwidth selection. Default value: 0
4 [6] SLEEP_G: Gyroscope sleep mode enable. Default value: 0
5 [5] INT2_on_INT1: All interrupt signals available on INT1 pad enable. Default value: 0
6 [4] This bit must be set to ‘0’ for the correct operation of the device
7 [3] DRDY_MASK: Configuration 1(3) Data Available Enable bit. Default Value: 0
8 [2] I2C_disable Disable I2C interface. Default value: 0
9 [1] MODE3_EN Enable auxiliary SPI interface (Mode3, refer to Table 1.). Default value: 0
10 [0] STOP_ON_FTH Enable FIFO threshold level use. Default value: 0.

Definition at line 318 of file lsm6ds3.h.

#define LSM6DS3_XG_CTRL5_C 0x14

Control Register 4.

1 Read/write
2 Default value: 0x00
3 [7:4] This bit must be set to ‘0’ for the correct operation of the device
4 [3:2] ST_G[1:0]: Angular rate sensor Self Test Enable. Default value: 00
5 [1:0] ST_XL[1:0]: Linear acceleration sensor Self Test Enable. Default value: 00

Definition at line 330 of file lsm6ds3.h.

#define LSM6DS3_XG_CTRL6_G 0x15

Angular rate sensor Control Register 6.

1 Read/write
2 Default value: 0x00
3 [7] TRIG_EN: Data edge sensitive trigger Enable. Default value: 0
4 [6] LVLen: Data level sensitive trigger Enable. Default value: 0
5 [5] LVL2en: Level sensitive latched Enable. Default value: 0
6 [4] XL_H_MODE: High Performance operating mode disable for accelerometer(1). Default value: 0
7 [3:0] This bit must be set to ‘0’ for the correct operation of the device

Definition at line 836 of file lsm6ds3.h.

#define LSM6DS3_XG_CTRL7_G 0x16

Angular rate sensor Control Register 7.

1 Read/write
2 Default value: 0x00
3 [7] G_H_MODE: High Performance operating mode disable for Gyroscope(1) . Default: 0
4 [6] HP_EN: High Pass filter Enable. Default Value: 0
5 [5:4] HPCF_G[1:0]: Gyroscope High Pass filter Cut Off frequency selection. Default value: 00
6 [3:0] This bit must be set to ‘0’ for the correct operation of the device

Definition at line 850 of file lsm6ds3.h.

#define LSM6DS3_XG_CTRL8_XL 0x17

XL sensor Control Register 8.

1 Read/write
2 Default value: 0x00
3 [7:3] This bit must be set to ‘0’ for the correct operation of the device
4 [2] SLOPE_FDS: Enable HP filter on output registers and FIFO. Default value: 0
5 [1:0] This bit must be set to ‘0’ for the correct operation of the device

Definition at line 931 of file lsm6ds3.h.

#define LSM6DS3_XG_CTRL9_XL 0x18

Linear acceleration sensor Control Register 9.

1 Read/write
2 Default value: 0x38
3 [7:6] These bits must be set to ‘0’ for the correct operation of the device
4 [5] Zen_XL: Accelerometers’s Z-axis output enable
5 [4] Yen_XL: Accelerometers’s Y-axis output enable
6 [3] Xen_XL: Accelerometers’s X-axis output enable
7 [2:0] These bits must be set to ‘0’ for the correct operation of the device

Definition at line 945 of file lsm6ds3.h.

#define LSM6DS3_XG_D6D_SRC 0x1D

Portrait, landscape face-up and face-down source register.

1 Read
2 Default value: output
3 [7] This bit must be set to ‘0’ for the correct operation of the device
4 [6] D6D_IA: Interrupt active for change position portrait, landscape, face-up, face-down. Default value: 0
5 [5] ZH: Z-axis high event (over-threshold). Default value: 0
6 [4] ZL: Z-axis low event (under-threshold). Default value: 0
7 [5] YH: Y-axis high event (over-threshold). Default value: 0
8 [4] YL: Y-axis low event (under-threshold). Default value: 0
9 [5] X_H: X-axis high event (over-threshold). Default value: 0
10 [4] X_L: X-axis low event (under-threshold). Default value: 0

Definition at line 416 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_CTRL1 0x06

FIFO control register.

1 Read/write
2 Default value: 0x00
3 [7:0] FTH_7-0 FIFO threshold level setting - watermark flag is toggled when the number of bytes written to FIFO is greater or equal to threshold level.

Definition at line 169 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_CTRL2 0x07

FIFO control register.

1 Read/write
2 Default value: 0x00
3 [7] TIMER_PEDO_FIFO_EN: Enable Pedometer step counter and time stamp as 4th sensor FIFO data. Default: 0 disabled
4 [6] TIMER_PEDO_FIFO_DRDY : Pedometer FIFO write mode. Default: 0 disabled
5 [5:4] This bit must be set to ‘0’ for the correct operation of the device
6 [3:0] FTH_[11:8] FIFO threshold level setting(1). Default value: 0000

Definition at line 182 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_CTRL3 0x08

FIFO control register.

1 Read/write
2 Default value: 0x00
3 [7:6] This bit must be set to ‘0’ for the correct operation of the device
4 [5:3] DEC_FIFO_GYRO[2:0]: Gyro FIFO decimation setting. Default value: 000
5 [2:0] DEC_FIFO_XL[2:0]: XL FIFO decimation setting. Default value: 000

Definition at line 194 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_CTRL4 0x09

FIFO control register.

1 Read/write
2 Default value: 0x00
3 [7] This bit must be set to ‘0’ for the correct operation of the device
4 [6] ONLY_HIGH_DATA :8 bit data storing in FIFO. Default: 0
5 [5:3] DEC_SLV1_FIFO[2:0] Second external sensor FIFO decimation setting. Default: 000
6 [2:0] DEC_SLV1_FIFO[2:0] First external sensor FIFO decimation setting. Default: 000

Definition at line 207 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_CTRL5 0x0A

FIFO control register.

1 Read/write
2 Default value: 0x00
3 [7] This bit must be set to ‘0’ for the correct operation of the device
4 [6:3] ODR_FIFO_[3:0]: FIFO ODR selection. Default: 0000
5 [2:0] FIFO_MODE_[2:0] : FIFO mode selection bits. Default value: 000

Definition at line 220 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_DATA_OUT_H 0x3F

FIFO data output register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0.

1 Read
2 Default value: 0x00
3 [7:0] DATA_OUT_FIFO_H_[7:0]: FIFO data output (second byte)

Definition at line 504 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_DATA_OUT_L 0x3E

FIFO data output register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0.

1 Read
2 Default value: 0x00
3 [7:0] DATA_OUT_FIFO_L_[7:0]: FIFO data output (First byte)

Definition at line 494 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_STATUS1 0x3A

FIFO status control register.

1 Read
2 Default value: 0x00
3 [7:0] DIFF_FIFO_[7:0]: Number of unread words (16 bit axes) stored in FIFO . For a complete number of unread samples, consider DIFF_FIFO [11:8] in FIFO_STATUS2 (3Bh)

Definition at line 440 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_STATUS2 0x3B

FIFO status control register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0.

1 Read
2 Default value: 0x00
3 [7] FTH FIFO watermark status. Deafult value: 0
4 [6] OVER_RUN: FIFO overrun status. Default value: 0
5 [5] FIFO_FULL: FIFO full status. Default value: 0
6 [5] FIFO_EMPTY: FIFO empty bit. Default value: 0; 0: FIFO contains data; 1: FIFO is empty
7 [3:0] DIFF_FIFO_[11:8] Number of unread words (16 bit axes) stored in FIFO : For a complete number of unread samples, consider DIFF_FIFO [11:8] in FIFO_STATUS1 (3Ah)

Definition at line 454 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_STATUS3 0x3C

FIFO status control register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0.

1 Read
2 Default value: 0x00
3 [7:0] FIFO_PATTERN_[7:0] : Word of recursive pattern read at the next reading

Definition at line 464 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_STATUS4 0x3D

FIFO status control register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0.

1 Read
2 Default value: 0x00
3 [1:0] FIFO_PATTERN_[9:8] : Word of recursive pattern read at the next reading
1 Read
2 Default value: 0x00
3 [4:0] FIFO_PATTERN_[9:8] : Word of recursive pattern read at the next reading

Definition at line 484 of file lsm6ds3.h.

#define LSM6DS3_XG_FIFO_STATUS4 0x3D

FIFO status control register (r). For a proper reading of the register it is suggested to set BDU bit in CTRL3_C (12h) to 0.

1 Read
2 Default value: 0x00
3 [1:0] FIFO_PATTERN_[9:8] : Word of recursive pattern read at the next reading
1 Read
2 Default value: 0x00
3 [4:0] FIFO_PATTERN_[9:8] : Word of recursive pattern read at the next reading

Definition at line 484 of file lsm6ds3.h.

#define LSM6DS3_XG_FUNC_CFG_ACCESS 0x01

FIFO control register.

1 Read/write
2 Default value: 0x00
3 [7] FUNC_CFG_EN: Enable access to the embedded functions configuration registers (1) from address 02h to 32h. Default value: 0.
4 [6:0] This bit must be set to ‘0’ for the correct operation of the device

Definition at line 136 of file lsm6ds3.h.

#define LSM6DS3_XG_FUNC_SRC 0x53

Significant motion, tilt, step detector, soft iron and sensor hub interrupt source register.

1 Read
2 Default value: output
3 [7] This bit must be set to ‘0’ for the correct operation of the device
4 [6] SIGN_MOTION_IA: Significant motion event detection status. Default value: 0
5 [5] TILT_IA: Tilt event detection status. Default value: 0
6 [5] STEP_DETECTED: Step detector event detection status. Default value: 0
7 [3:2] This bit must be set to ‘0’ for the correct operation of the device
8 [1] SI_END_OP:Soft iron calculation status. Default value: 0
9 [0] SENSORHUB_END_OP:Senso hub communication status. Default value: 0

Definition at line 570 of file lsm6ds3.h.

#define LSM6DS3_XG_IF_INC ((uint8_t)0x04)

Register address automatically incremented during a multiple byte access with a serial interface (I2C or SPI). Default value of the LSM6DS3_XG_CTRL3_C register.

Definition at line 1027 of file lsm6ds3.h.

#define LSM6DS3_XG_IF_INC_MASK ((uint8_t)0x04)

Definition at line 1029 of file lsm6ds3.h.

#define LSM6DS3_XG_INT1_CTRL 0x0D

INT1 pad control registrer.

1 Read/write
2 Default value: 0x00
3 [7] INT1_PEDO: Pedometer step recognition interrupt enable on INT1 pad. Default value: 0
4 [6] INT1_SIGN_MOT: Significant motion interrupt enable on INT1 pad. Default value: 0
5 [5] INT1_FULL_FLAG: Full flag Interrupt Enable on INT1 pad. Default value: 0
6 [4] INT1_OVR: Overrun Interrupt on INT1 pad. Default value: 0
7 [3] INT1_FTH: FIFO threshold interrupt on INT1 pad. Default value: 0
8 [2] INT1_BOOT: Overrun Interrupt on INT1 pad. Default value: 0
9 [1] INT1_DRDY_G: Gyroscope Data Ready on INT1 pad. Default value: 0.
10 [0] INT1_DRDY_XL: Accelerometer Data Ready on INT1 pad. Default value: 0

Definition at line 252 of file lsm6ds3.h.

#define LSM6DS3_XG_INT2_CTRL 0x0E

INT2 pad control registrer.

1 Read/write
2 Default value: 0x00
3 [7] INT2_PEDO: Pedometer step recognition interrupt enable on INT1 pad. Default value: 0
4 [6] INT2_SIGN_MOT: Significant motion interrupt enable on INT1 pad. Default value: 0
5 [5] INT2_FULL_FLAG: Full flag Interrupt Enable on INT1 pad. Default value: 0
6 [4] INT2_OVR: Overrun Interrupt on INT1 pad. Default value: 0
7 [3] INT2_FTH: FIFO threshold interrupt on INT1 pad. Default value: 0
8 [2] INT2_BOOT: Overrun Interrupt on INT1 pad. Default value: 0
9 [1] INT2_DRDY_G: Gyroscope Data Ready on INT1 pad. Default value: 0.
10 [0] INT2_DRDY_XL: Accelerometer Data Ready on INT1 pad. Default value: 0

Definition at line 271 of file lsm6ds3.h.

#define LSM6DS3_XG_INT_DUR2 0x5A

Tap recognition function setting register (r/w)

1 Read/write
2 Default value: 0x00
3 [7:4] DUR[3:0]: Duration of maximum time gap for double tap recognition. Default: 0000
4 [3:2] QUIET[1:0]: Expected quiet time after a tap detection. Default value: 00
5 [1:0] SHOCK[1:0]: Maximum duration of over-threshold event. Default value: 00

Definition at line 611 of file lsm6ds3.h.

#define LSM6DS3_XG_MASTER_CONFIG 0x1A

Sensor hub Master config Register.

1 Read/write
2 Default value: 0x00
3 [7] DRDY_ON_INT1:Manage the DRDY signal on INT1 pad. Default: 0
4 [6] DATA_VALID_SEL_FIFO: Selection of FIFO data-valid signal. Default value: 0
5 [5] This bit must be set to ‘0’ for the correct operation of the device
6 [4] START_CONFIG: Sensor Hub trigger signal selection. Default value: 0
7 [3] PULL_UP_EN: Auxiliary I2C pull-up. Default value: 0
8 [2] PASS_THROUGH_MODE: I2C interface pass-through. Default value: 0
9 [1] IRON_EN:Enable soft iron correction algorithm for magnetometer. Default value: 0.
10 [0] MASTER_ON: Sensor Hub I2C master enable. Default: 0

Definition at line 365 of file lsm6ds3.h.

#define LSM6DS3_XG_MD1_CFG 0x5E

Functions routing on INT1 register.

1 Read/write
2 Default value: 0x00
3 [7] INT1_INACT_STATE: Routing on INT1 of inactivity mode. Default: 0
4 [6] INT1_SINGLE_TAP: Single tap recognition routing on INT1. Default: 0
5 [5] INT1_WU: Routing of wake-up event on INT1. Default value: 0
6 [4] INT1_FF: Routing of free-fall event on INT1. Default value: 0
7 [3] INT1_TAP: Routing of tap event on INT1. Default value: 0
8 [2] INT1_6D: Routing of 6D event on INT1. Default value: 0
9 [1] INT1_TILT: Routing of tilt event on INT1. Default value: 0
10 [0] INT1_TIMER: Routing of end counter event of timer on INT1. Default value: 0

Definition at line 664 of file lsm6ds3.h.

#define LSM6DS3_XG_MD2_CFG 0x5F

Functions routing on INT2 register.

1 Read/write
2 Default value: 0x00
3 [7] INT2_INACT_STATE: Routing on INT1 of inactivity mode. Default: 0
4 [6] INT2_SINGLE_TAP: Single tap recognition routing on INT1. Default: 0
5 [5] INT2_WU: Routing of wake-up event on INT1. Default value: 0
6 [4] INT2_FF: Routing of free-fall event on INT1. Default value: 0
7 [3] INT2_TAP: Routing of tap event on INT1. Default value: 0
8 [2] INT2_6D: Routing of 6D event on INT1. Default value: 0
9 [1] INT2_TILT: Routing of tilt event on INT1. Default value: 0
10 [0] INT2_TIMER: Routing of end counter event of timer on INT1. Default value: 0

Definition at line 681 of file lsm6ds3.h.

#define LSM6DS3_XG_MEMS_ADDRESS LSM6DS3_ADDRESS_LOW

Definition at line 1013 of file lsm6ds3.h.

#define LSM6DS3_XG_ORIENT_CFG_G 0x0B

Angular rate sensor sign and orientation register.

1 Read/write
2 Default value: 0x00
3 [7:6] This bit must be set to ‘0’ for the correct operation of the device
4 [5] SignX_G: Pitch axis (X) Angular rate sign. Default value: 0
5 [5] SignY_G: Roll axis (Y) Angular rate sign. Default value: 0
6 [5] SignZ_G: Pitch axis (Z) Angular rate sign. Default value: 0
7 [2:0] Orient[2:0] : Directional user orientation selection. Default Value: 000

Definition at line 235 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_X_H_G 0x23

Gyroscope data (MSB)

1 Read

Definition at line 867 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_X_H_XL 0x29

Accelerometer data (MSB)

1 Read

Definition at line 963 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_X_L_G 0x22

Gyroscope data (LSB)

1 Read

Definition at line 858 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_X_L_XL 0x28

Accelerometer data (LSB)

1 Read

Definition at line 954 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_Y_H_G 0x25

Gyroscope data (MSB)

1 Read

Definition at line 885 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_Y_H_XL 0x2B

Accelerometer data (MSB)

1 Read

Definition at line 981 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_Y_L_G 0x24

Gyroscope data (LSB)

1 Read

Definition at line 876 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_Y_L_XL 0x2A

Accelerometer data (LSB)

1 Read

Definition at line 972 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_Z_H_G 0x27

Gyroscope data (MSB)

1 Read

Definition at line 903 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_Z_H_XL 0x2D

Accelerometer data (MSB)

1 Read

Definition at line 999 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_Z_L_G 0x26

Gyroscope data (LSB)

1 Read

Definition at line 894 of file lsm6ds3.h.

#define LSM6DS3_XG_OUT_Z_L_XL 0x2C

Accelerometer data (LSB)

1 Read

Definition at line 990 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSOR_SYNC_ENABLE 0x05

FIFO control register.

1 Read/write
2 Default value: 0x00
3 [7:2] This bit must be set to ‘0’ for the correct operation of the device
4 [1] HP_RST: Gyro digital HP filter reset. Default: 0
5 [1] SENSOR_SYNC_ENHP_RST: Enable sensor synchronization feature. Default 0

Definition at line 158 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSOR_SYNC_TIME_FRAME 0x04

FIFO control register.

1 Read/write
2 Default value: 0x00
3 [7:0] TPH_[7:0]: Sensor SyncronizationTime Frame with the step of 500ms and full range of 5s. Default: 0000 0000

Definition at line 146 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB10_REG 0x37

SLV1 second external sensor, second axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB10[7:0]: SLV1 second external sensor, second byte of the second axis.

Definition at line 783 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB11_REG 0x38

SLV1 second external sensor, third axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB11[7:0]: SLV1 second external sensor, first byte of the third axis.

Definition at line 793 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB12_REG 0x39

SLV1 second external sensor, third axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB12[7:0]: SLV1 second external sensor, second byte of the third axis.

Definition at line 803 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB1_REG 0x2E

SENSORHUB REGISTER 1 : SLV0 first external sensor, first axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB1[7:0]: SLV0 first external sensor, first byte of the first axis.

Definition at line 693 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB2_REG 0x2F

SENSORHUB REGISTER 2 : SLV0 first external sensor, first axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB2[7:0]: SLV0 first external sensor, second byte of the first axis.

Definition at line 703 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB3_REG 0x30

SENSORHUB REGISTER 3 : SLV0 first external sensor, second axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB3[7:0]: SLV0 first external sensor, first byte of the second axis.

Definition at line 713 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB4_REG 0x31

SENSORHUB REGISTER 4 : SLV0 first external sensor, second axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB4[7:0]: SLV0 first external sensor, second byte of the second axis.

Definition at line 723 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB5_REG 0x32

SENSORHUB REGISTER 5 : SLV0 first external sensor, third axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB5[7:0]: SLV0 first external sensor, second byte of the second axis.

Definition at line 733 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB6_REG 0x33

SENSORHUB REGISTER 6 : SLV0 first external sensor, third axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB6[7:0]: SLV0 first external sensor, second byte of the third axis

Definition at line 743 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB7_REG 0x34

SENSORHUB REGISTER 7 : SLV1 second external sensor, first axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB7[7:0]: SLV1 second external sensor, first byte of the first axis.

Definition at line 753 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB8_REG 0x35

SENSORHUB REGISTER 8 : SLV1 second external sensor, first axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB8[7:0]: SLV1 second external sensor, second byte of the first axis.

Definition at line 763 of file lsm6ds3.h.

#define LSM6DS3_XG_SENSORHUB9_REG 0x36

SENSORHUB REGISTER 9 : SLV1 second external sensor,, second axis output register (r). The value is expressed as 16bit word in two’s complement.

1 Read
2 Default value: 0x00
3 [7:0] SHUB9[7:0]: SLV1 second external sensor, first byte of the second axis.

Definition at line 773 of file lsm6ds3.h.

#define LSM6DS3_XG_STATUS_REG 0x1E

Status register.

1 Read
2 Default value: output
3 [7:4] No meaning set
4 [3] EV_BOOT: Boot running flag signal. Default value: 0
5 [2] No meaning set
6 [1] GDA: Gyroscope new data avaialble. Default value: 0
7 [0] XLDA: Accelerometer new data avaialble. Default value: 0

Definition at line 430 of file lsm6ds3.h.

#define LSM6DS3_XG_STEP_COUNTER_H 0x4C

Step counter output register (r).

1 Read
2 Default value: output
3 [7:0] STEP_COUNTER_H_[7:0]: Step counter output (MSbyte)

Definition at line 554 of file lsm6ds3.h.

#define LSM6DS3_XG_STEP_COUNTER_L 0x4B

Step counter output register (r).

1 Read
2 Default value: output
3 [7:0] STEP_COUNTER_L_[7:0]: Step counter output (LSbyte)

Definition at line 544 of file lsm6ds3.h.

#define LSM6DS3_XG_TAP_CFG 0x58

Time stamp, pedometer, tilt, filtering, and tap recognition functions configuration register.

1 Read/write
2 Default value: 0x00
3 [7] TIMER_EN: Time stamp count enable, output data are collected in TIMESTAMP0_REG (40h), TIMESTAMP1_REG (41h), TIMESTAMP2_REG (42h) register. Default: 0
4 [6] PEDO_EN: Pedometer algorithm enable(1). Default value: 0
5 [5] TILT_EN: Tilt calculation enable.(2) Default value: 0
6 [4] This bit must be set to ‘0’ for the correct operation of the device
7 [3] TAP_X_EN: Enable X direction in tap recognition. Default value: 0
8 [2] TAP_Y_EN: Enable Z direction in tap recognition. Default value: 0
9 [1] TAP_Z_EN: Enable Z direction in tap recognition. Default value: 0
10 [0] LIR: Relatch of the time stamp, pedometer, tilt, filtering, and tap recognition functions routed to PINs.

Definition at line 587 of file lsm6ds3.h.

#define LSM6DS3_XG_TAP_SRC 0x1C

Tap source register.

1 Read
2 Default value: output
3 [7] This bit must be set to ‘0’ for the correct operation of the device
4 [6] TAP_IA: Tap event detection status. Default: 0
5 [5] SINGLE_TAP: Single tap event status. Default value: 0
6 [4] DOUBLE_TAP: Double tap event detection status. Default value: 0
7 [3] TAP_SIGN: Sign of acceleration detected by tap event. Default: 0
8 [2] X_TAP: Tap event detection status on X axis. Default value: 0
9 [1] Y_TAP: Tap event detection status on Y axis. Default value: 0
10 [0] Z_TAP: Tap event detection status on Z axis. Default value: 0

Definition at line 399 of file lsm6ds3.h.

#define LSM6DS3_XG_TAP_THS_6D 0x59

Portrait/landscape position and tap function threshold register.

1 Read/write
2 Default value: 0x00
3 [7] This bit must be set to ‘0’ for the correct operation of the device
4 [6:5] SIXD_THS[1:0]: Threshold for D6D function. Default value: 00
5 [4:0] TAP_THS[4:0]: Threshold for tap recognition. Default value: 0000

Definition at line 599 of file lsm6ds3.h.

#define LSM6DS3_XG_TIMESTAMP0_REG 0x40

Time stamp first byte data output register (r). The value is expressed as 24 bit and the bit resolution is defined by setting value in WAKE_UP_DUR (5Ch).

1 Read
2 Default value: output
3 [7:0] TIMESTAMP0_[7:0]: FIFO first byte data output

Definition at line 514 of file lsm6ds3.h.

#define LSM6DS3_XG_TIMESTAMP1_REG 0x41

Time stamp second byte data output register (r). The value is expressed as 24 bit and the bit resolution is defined by setting value in WAKE_UP_DUR (5Ch).

1 Read
2 Default value: output
3 [7:0] TIMESTAMP1_[7:0]: FIFO second byte data output

Definition at line 524 of file lsm6ds3.h.

#define LSM6DS3_XG_TIMESTAMP2_REG 0x42

Time stamp third byte data output register (r). The value is expressed as 24 bit and the bit resolution is defined by setting value in WAKE_UP_DUR (5Ch).

1 Read
2 Default value: output
3 [7:0] TIMESTAMP2_[7:0]: FIFO third byte data output

Definition at line 534 of file lsm6ds3.h.

#define LSM6DS3_XG_WAKE_FREE_FALL 0x5D

Free-fall function duration setting register.

1 Read/write
2 Default value: 0x00
3 [7:3] FF_DUR[4:0]: Free fall duration event. Default: 0. For the complete configuration of the free fall duration, refer to FF_DUR5 in WAKE_UP_DUR (5Ch) configuration
4 [2:0] FF_THS[2:0]: Free fall threshold setting. Default: 000.

Definition at line 647 of file lsm6ds3.h.

#define LSM6DS3_XG_WAKE_UP_DUR 0x5C

Free-fall, wake-up, time stamp and sleep mode functions duration setting register (r/w).

1 Read/write
2 Default value: 0x00
3 [7] FF_DUR5:Free fall duration event. Default: 0
4 [6:5] WAKE_DUR[1:0]: Wake up duration event. Default: 00
5 [4] TIMER_HR: Time stamp register resolution setting(1). Default value: 0
6 [3:0] SLEEP_DUR[3:0] : Duration to go in sleep mode. Default value: 0000

Definition at line 636 of file lsm6ds3.h.

#define LSM6DS3_XG_WAKE_UP_SRC 0x1B

Wake up interrupt source register.

1 Read
2 Default value: output
3 [7:6] This bit must be set to ‘0’ for the correct operation of the device
4 [5] FF_IA: Free fall event detection status. Default: 0
5 [4] SLEEP_STATE_IA: Sleep event status. Default value: 0
6 [3] WU_IA: Wake up event detection status. Default
7 [2] X_WU: detection status on X axis. Default value: 0
8 [1] Y_WU: detection status on Y axis. Default value: 0
9 [0] Z_WU: detection status on Z axis. Default value: 0

Definition at line 382 of file lsm6ds3.h.

#define LSM6DS3_XG_WAKE_UP_THS 0x5B

Tap recognition function setting register.

1 Read/write
2 Default value: 0x00
3 [7] SINGLE_DOUBLE_TAP: Single/double tap event detection. Default: 0
4 [6] INACTIVITY: Inactivity event enable. Default value: 0
5 [5:0] WK_THS[5:0]:Threshold for wake-up. Default value: 0000

Definition at line 623 of file lsm6ds3.h.

#define LSM6DS3_XG_WHO_AM_I_ADDR 0x0F

Device identifier register.

1 Read
2 Default value:69
3 [7:0] This read-only register contains the device identifier

Definition at line 282 of file lsm6ds3.h.

#define NULL (void *) 0

Definition at line 66 of file lsm6ds3.h.

## Enumeration Type Documentation

enum IMU_6AXES_StatusTypeDef

IMU_6AXES status enumerator definition.

Enumerator
IMU_6AXES_OK |
IMU_6AXES_ERROR |
IMU_6AXES_TIMEOUT |
IMU_6AXES_NOT_IMPLEMENTED |

Definition at line 89 of file lsm6ds3.h.